import {
  stringify
} from "./chunk-RYQLWER5.js";

// src/index.ts
import { writeFile } from "fs/promises";
import { join } from "path";
import { createUnplugin } from "unplugin";
var cloudflareHeadersFileName = "_headers";
var virtualHeadersFile = "virtual:cloudflare-headers";
var resolvedVirtualHeadersFile = `\0${virtualHeadersFile}`;
var src_default = createUnplugin((options) => ({
  name: "unplugin-cloudflare-headers",
  async writeBundle() {
    if (!options)
      return;
    const headersStringified = stringify(options);
    const headersFilePath = join(process.cwd(), "dist", cloudflareHeadersFileName);
    await writeFile(headersFilePath, headersStringified);
  },
  resolveId(id) {
    if (id.trim() === virtualHeadersFile)
      return { id: resolvedVirtualHeadersFile };
    return null;
  },
  load(id) {
    if (id === resolvedVirtualHeadersFile) {
      const headers = typeof options === "object" ? JSON.stringify(options) : "{}";
      return `export default ${headers}`;
    }
  }
}));

export {
  src_default
};
